{% block fields_list %}

<div class="col-12">
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">
        {{ model }}
      </h3>
    </div><!-- end card header -->

    <div class="card-body">
      <div class="markdown">
        <div class="d-flex mb-3">
          <h1 class="m-0">{{ model.class_name }}: {{ model }}</h1>
        </div>
        <div class="mb-3">
          {% for type, field, value in fields %} 
          {% if type == "ManyToManyField" %} 
          <p><strong>{{ field }}:</strong>  
          <ul>
            {% for link in value %}
            <li>
              {{ link }} - id {{ link.pk}}
            </li>
            {% endfor %}
          </ul>
          {% elif type == "ForeignKey" %}
          <p>
            <strong>{{ field }}:</strong>
            <a href={{ value.get_absolute_url }}>{{ value }} - id {{ value.pk }}</a>
          </p> 
          {% else %}
          <p><strong>{{ field }}:</strong> {{ value  }} ( type : {{ type }} )</p>
          {% endif %}
          {% endfor %}
        </div>
      </div>
    </div>
  </div><!-- end card -->
</div><!-- end col -->

{% endblock fields_list %}